import request from '@/utils/request'

// 查询借阅管理列表
export function listBorrow(query) {
  return request({
    url: '/archive/borrow/list',
    method: 'get',
    params: query
  })
}

// 查询借阅管理详细
export function getBorrow(borrowingId) {
  return request({
    url: '/archive/borrow/' + borrowingId,
    method: 'get'
  })
}

// 新增借阅管理
export function addBorrow(data) {
  return request({
    url: '/archive/borrow',
    method: 'post',
    data: data
  })
}

// 修改借阅管理
export function updateBorrow(data) {
  return request({
    url: '/archive/borrow',
    method: 'put',
    data: data
  })
}

// 删除借阅管理
export function delBorrow(borrowingId) {
  return request({
    url: '/archive/borrow/' + borrowingId,
    method: 'delete'
  })
}
